Dim SA, GA, IA
Set SA = SDScript.SAdapterInfo
Set GA = SDScript.GAdapterInfo
Set IA = SDScript.IAdapterInfo

SDScript.Echo ""

SDScript.EchoH2I "INFO INTERFACE"
SDScript.Echo "  Active            |", IA.Active
SDScript.Echo "  Name              |", IA.Name
SDScript.Echo "  IF Index          |", IA.SIFIndex
SDScript.Echo "  IP                |", IA.IP
SDScript.Echo "  MAC               |", IA.MAC
SDScript.Echo "  In Speed          |", IA.SInSpeed, "kbit/s"
SDScript.Echo "  In Speed Delta    |", IA.SInSpeedDelta, "kbit/s"
SDScript.Echo "  Out Speed         |", IA.SOutSpeed, "kbit/s"
SDScript.Echo "  Out Speed Delta   |", IA.SOutSpeedDelta, "kbit/s"
SDScript.Echo "  Speed Time        |", IA.SSpeedTime, "msec"
SDScript.Echo "  Short In Traffic  |", IA.SShortInTraffic, "bytes"
SDScript.Echo "  Short Out Traffic |", IA.SShortOutTraffic, "bytes"
SDScript.Echo "  Long In Traffic   |", IA.SLongInTraffic, "bytes"
SDScript.Echo "  Long Out Traffic  |", IA.SLongOutTraffic, "bytes"
SDScript.Echo ""

SDScript.EchoH2I "SKY INTERFACE"
SDScript.Echo "  Active            |", SA.Active
SDScript.Echo "  Name              |", SA.Name
SDScript.Echo "  IF Index          |", SA.SIFIndex
SDScript.Echo "  IP                |", SA.IP
SDScript.Echo "  MAC               |", SA.MAC
SDScript.Echo "  In Speed          |", SA.SInSpeed, "kbit/s"
SDScript.Echo "  In Speed Delta    |", SA.SInSpeedDelta, "kbit/s"
SDScript.Echo "  Out Speed         |", SA.SOutSpeed, "kbit/s"
SDScript.Echo "  Out Speed Delta   |", SA.SOutSpeedDelta, "kbit/s"
SDScript.Echo "  Speed Time        |", SA.SSpeedTime, "msec"
SDScript.Echo "  Short In Traffic  |", SA.SShortInTraffic, "bytes"
SDScript.Echo "  Short Out Traffic |", SA.SShortOutTraffic, "bytes"
SDScript.Echo "  Long In Traffic   |", SA.SLongInTraffic, "bytes"
SDScript.Echo "  Long Out Traffic  |", SA.SLongOutTraffic, "bytes"
SDScript.Echo ""

SDScript.EchoH2I "GROUND INTERFACE"
SDScript.Echo "  Active            |", GA.Active
SDScript.Echo "  Name              |", GA.Name
SDScript.Echo "  IF Index          |", GA.SIFIndex
SDScript.Echo "  IP                |", GA.IP
SDScript.Echo "  MAC               |", GA.MAC
SDScript.Echo "  In Speed          |", GA.SInSpeed, "kbit/s"
SDScript.Echo "  In Speed Delta    |", GA.SInSpeedDelta, "kbit/s"
SDScript.Echo "  Out Speed         |", GA.SOutSpeed, "kbit/s"
SDScript.Echo "  Out Speed Delta   |", GA.SOutSpeedDelta, "kbit/s"
SDScript.Echo "  Speed Time        |", GA.SSpeedTime, "msec"
SDScript.Echo "  Short In Traffic  |", GA.SShortInTraffic, "bytes"
SDScript.Echo "  Short Out Traffic |", GA.SShortOutTraffic, "bytes"
SDScript.Echo "  Long In Traffic   |", GA.SLongInTraffic, "bytes"
SDScript.Echo "  Long Out Traffic  |", GA.SLongOutTraffic, "bytes"
SDScript.Echo ""
