@cd /d "%~dp0"

chcp 1251

set OPENSSL_PATH=D:\OpenSSL\Win64\bin
set PATH=%OPENSSL_PATH%
set OPENSSL_CONF=%OPENSSL_PATH%\openssl.cfg

set RANDFILE=.rnd

set RSA=2048
set DH=2048
set days=358669
set C=RU
set ST=RUSSIA
set L=VLADIMIR
set O=MAALCHEMIST
set OU=SKYDSUITE
set CN=SKYDSUITE.MAALCHEMIST.RU
set E=skydsuite@maalchemist.ru
set key=skyDSuite_CA.key
set csr=skyDSuite_CA.csr
set crt=skyDSuite_CA.crt
set p12=skyDSuite_CA.p12
set dhp=skyDSuite_CA.dhp
set cnf=@skyDSuite_CA.cnf
set CA_crt=skyDSuite_CA.crt
set CA_key=skyDSuite_CA.key

set subj=/C="%C%"/ST="%ST%"/L="%L%"/O="%O%"/OU="%OU%"/CN="%CN%"/emailAddress=%E%

@ECHO OFF
IF EXIST %key% DEL %key%
IF EXIST %csr% DEL %csr%
IF EXIST %crt% DEL %crt%
IF EXIST %p12% DEL %p12%
IF EXIST %dhp% DEL %dhp%
@ECHO ON

rem  
    openssl genrsa -out %key% %RSA%
rem  
    openssl req -new -x509 -days %days% -subj %subj% -sha256 -key %key% -out %crt% -extensions v3_req -config %cnf%

rem          PKCS12
rem openssl pkcs12 -export -in %crt% -inkey %key% -password pass: -out %p12%

pause
